
#import <Cocoa/Cocoa.h>
#import "RValue.h"

//Parsed expressions are an experimental idea similar to one commonly found in database applications.
//When the parsed expression is created it is searched for ._ symbols, whose positions are recorded.
//The application can then set this to a particular R value before evaluation. Of course, an attempt to
//evaluate before setting them all should result in an error because ._ is not bound under R. Another
//option should be convert them all to R_UnboundValue at search time.

//See BuiltInConsole's hint functionality for an example of their use.
@interface RParsedExpression : RValue {
	NSMutableArray *args;
}

- (NSUInteger)count;
- (void)setArgument:(NSUInteger)arg value:(RValue*)value;


@end
